import App from './App.vue'
import "normalize.css"
import { createApp } from 'vue'
import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router"
import 'ant-design-vue/dist/antd.css';

const routes: RouteRecordRaw[] = [{
  path: "/",
  component: () => import('./layout/index.vue'),
  children: [{
    path: "index",
    component: () => import("./pages/index.vue")
  }, {
    path: "major",
    component: () => import('./pages/major.vue')
  }, {
    path: "login",
    component: () => import('./pages/login.vue')
  }, {
    path: "university",
    component: () => import('./pages/university.vue')
  }, {
    path: "fillout",
    component: () => import('./pages/fillout.vue')
  },{
    path: "zhiyuanqingdan",
    component: () => import('./pages/zhiyuanqingdan.vue')
  },{
    path: "gerenxinxi",
    component: () => import('./pages/gerenxinxi.vue')
  }]

}]
const router = createRouter({
  // 4. 内部提供了 history 模式的实现。为了简单起见，我们在这里使用 hash 模式。
  history: createWebHashHistory(),
  routes, // `routes: routes` 的缩写
})
createApp(App).use(router).mount('#app')
